Loading...
Searching...
No Matches
Data compare options
Trees » Data Tree
Collaboration diagram for Data compare options:

## Macros

#define | LYD_COMPARE_DEFAULTS
#define | LYD_COMPARE_FULL_RECURSION
#define | LYD_COMPARE_OPAQ

## Detailed Description

Various options to change the lyd_compare_single() and lyd_compare_siblings() behavior.

## Macro Definition Documentation

## LYD_COMPARE_DEFAULTS

#define LYD_COMPARE_DEFAULTS

Value:
0x02 /* By default, implicit and explicit default nodes are considered to be equal. This flag
changes this behavior and implicit (automatically created default node) and explicit
(explicitly created node with the default value) default nodes are considered different. */

Definition at line 1905 of file tree_data.h.

## LYD_COMPARE_FULL_RECURSION

#define LYD_COMPARE_FULL_RECURSION

Value:
0x01 /* Lists and containers are the same only in case all they children
(subtree, so direct as well as indirect children) are the same. By default,
containers are the same in case of the same schema node and lists are the same
in case of equal keys (keyless lists do the full recursion comparison all the time). */

Definition at line 1904 of file tree_data.h.

## LYD_COMPARE_OPAQ

#define LYD_COMPARE_OPAQ

Value:
0x04 /* Opaque nodes can normally be never equal to data nodes. Using this flag even
opaque nodes members are compared to data node schema and value and can result
in a match. */

Definition at line 1906 of file tree_data.h.